<?php

if (isset($_GET["islem"]) == "duzenle") {
    $sayfaid = $_GET["id"];
    $durum = "duzenle";
    $Sorgu = $db->prepare("SELECT * FROM diller WHERE id = ?");
    $Sorgu->execute([$sayfaid]);
    if ($Sorgu->rowCount()) {
        $Sonuc = $Sorgu->fetch(PDO::FETCH_ASSOC);
    } else {
        echo "<meta http-equiv=\"refresh\" content=\"0; url=404.html\">";
    }
}
echo "<link href=\"assets/plugins/codemirror/lib/codemirror.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n<link href=\"assets/plugins/codemirror/theme/neat.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n<link href=\"assets/plugins/codemirror/theme/ambiance.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n<link href=\"assets/plugins/codemirror/theme/material.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n<link href=\"assets/plugins/codemirror/theme/neo.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n\r\n<div class=\"content\">\r\n<div class=\"container\">\r\n<!-- Page-Title -->\r\n\t<div class=\"row\">\r\n\t\t<div class=\"col-sm-12\">\r\n\t\t\t<div class=\"btn-group pull-right m-t-15\">\r\n\t\t\t\t<button type=\"button\" class=\"btn btn-default dropdown-toggle waves-effect waves-light\" data-toggle=\"dropdown\" aria-expanded=\"false\">Düzenleme Dili <strong>";
echo $mevcutDil["adi"];
echo "</strong></button>\r\n\t\t\t\t<div class=\"dropdown-menu dropdown-menu-right\" aria-labelledby=\"btnGroupDrop1\">\r\n\t\t\t\t\t";
$DILSorgu = $db->prepare("SELECT * FROM diller ORDER BY sira ASC");
$DILSorgu->execute();
$DILislem = $DILSorgu->fetchALL(PDO::FETCH_ASSOC);
echo "\t\t\t\t\t\t";
foreach ($DILislem as $DILSonuc) {
    echo "\t\t\t\t\t\t<a class=\"dropdown-item\" href=\"dil-listele.html?dil=";
    echo $DILSonuc["id"];
    echo "\">";
    echo $DILSonuc["adi"];
    echo "</a>\r\n\t\t\t\t\t\t";
}
echo "\t\t\t\t</div>\r\n\t\t\t</div>\r\n\t\t\t<h4 class=\"page-title\">";
echo $admindil["txt41_1"];
echo "</h4>\r\n\t\t\t<ol class=\"breadcrumb\">\r\n\t\t\t\t<li>\r\n\t\t\t\t\t<a href=\"index.html\">";
echo $admindil["txt1"];
echo "</a>\r\n\t\t\t\t</li>\r\n\t\t\t\t<li>\r\n\t\t\t\t\t<a href=\"dil-ekle.html\">";
echo $admindil["txt42"];
echo "</a>\r\n\t\t\t\t</li>\r\n\t\t\t\t<li class=\"active\">\r\n\t\t\t\t\t";
echo $admindil["txt41_1"];
echo "\t\t\t\t</li>\r\n\t\t\t</ol>\r\n\t\t</div>\r\n\t</div>\r\n\r\n<!-- Forms -->\r\n\t<div class=\"row\">\r\n\t\t<div class=\"col-sm-12\">\r\n\t\t\t<div class=\"card-box\">\r\n\t\t\t\t<div class=\"row\">\r\n\t\t\t\t\t<form method=\"post\" action=\"../system/panel_islemler.php\" enctype=\"multipart/form-data\">\r\n\t\t\t\t\t\t<input id=\"id\" name=\"id\" type=\"hidden\" value=\"";
echo $Sonuc["id"];
echo "\">\r\n\t\t\t\t\t\t<div class=\"form-group\">\r\n\t\t\t\t\t\t\t<label for=\"sira\">Sıra</label>\r\n\t\t\t\t\t\t\t<input type=\"text\" class=\"form-control\" name=\"sira\" value=\"";
echo isset($_GET["islem"]) == "duzenle" ? $Sonuc["sira"] : "";
echo "\" id=\"sira\"/>\r\n\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t<div class=\"form-group\">\r\n\t\t\t\t\t\t\t<label for=\"adi\">Dil Adı</label>\r\n\t\t\t\t\t\t\t<input type=\"text\" class=\"form-control\" name=\"adi\" value=\"";
echo isset($_GET["islem"]) == "duzenle" ? $Sonuc["adi"] : "";
echo "\"  id=\"adi\"/>\r\n\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t";
if (isset($_GET["islem"]) == "duzenle") {
    echo "\t\t\t\t\t\t\t";
    if ($Sonuc["bayrak"]) {
        echo "\t\t\t\t\t\t\t<div class=\"form-group col-sm-2\" style=\"margin-left: -10px;\">\r\n\t\t\t\t\t\t\t\t<img src=\"../";
        echo TEMA;
        echo "/uploads/diller/";
        echo $Sonuc["bayrak"];
        echo "\" alt=\"image\" class=\"img-responsive img-thumbnail\" style=\"margin-bottom:2px;\"><br>\r\n\t\t\t\t\t\t\t\t<a style=\"width: 100%;\" class=\"btn btn-danger waves-effect waves-light btn-sm\" id=\"\"  href=\"javascript:;\" onclick=\"\$.Notification.confirm('success','top right', 'Silmek istediğinize emin misiniz ?','../system/panel_islemler.php?dilresimsil=ok&sid=";
        echo $Sonuc["id"];
        echo "')\"><i class=\"fa fa-trash-o\"></i> Resim Sil</a>\r\n\t\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t\t";
    }
    echo "\t\t\t\t\t\t";
}
echo "\t\t\t\t\t\t<span class=\"clearfix\"></span>\r\n\t\t\t\t\t\t<div class=\"form-group\">\r\n\t\t\t\t\t\t\t<label class=\"control-label\">Bayrak Görseli</label>\r\n\t\t\t\t\t\t\t<input type=\"file\" name=\"resim\" class=\"filestyle\" data-buttonname=\"btn-primary\">\r\n\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t";
if (isset($_GET["islem"]) == "duzenle") {
    echo "\t\t\t\t\t\t<div class=\"form-group\">\r\n\t\t\t\t\t\t\t<label class=\"control-label\">Ana Dil</label> <span class=\"clearfix\"></span>\r\n\t\t\t\t\t\t\t<input type=\"checkbox\" name=\"anadil\" ";
    if ($Sonuc["anadil"] == "1") {
        echo " checked ";
    }
    echo " value=\"1\" data-plugin=\"switchery\" data-switchery=\"true\" data-color=\"#1AB394\" data-secondary-color=\"#ED5565\" />\r\n\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t";
} else {
    echo "\t\t\t\t\t\t<div class=\"form-group\">\r\n\t\t\t\t\t\t\t<label class=\"control-label\">Ana Dil</label> <span class=\"clearfix\"></span>\r\n\t\t\t\t\t\t\t<input type=\"checkbox\" name=\"anadil\" value=\"1\" checked data-plugin=\"switchery\" data-switchery=\"true\" data-color=\"#1AB394\" data-secondary-color=\"#ED5565\" />\r\n\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t";
}
echo "\r\n\t\t\t\t\t\t";
if (isset($_GET["islem"]) == "duzenle") {
    echo "\r\n\t\t\t\t\t\t";
    $dizin = "../language/dil_" . $Sonuc["id"] . ".php";
    $yazan = "";
    if (file_exists($dizin) && 0 < filesize($dizin)) {
        $dosya = fopen($dizin, "r");
        $yazan = fread($dosya, filesize($dizin));
    } else {
        echo "\t\t\t\t\t\t\t <div class=\"alert alert-danger\">\r\n\t\t\t\t\t\t\t\t<strong>Kritik Hata!</strong> Dil dosyası bulunamadı veya içi boş acilen ";
        echo str_replace("/", "\\", $dizin);
        echo " yerini doldurun. Veya düzenleye basıp otomatik olarak ekleyebilirsiniz.</div>\r\n\t\t\t\t\t\t\t";
    }
    echo "\r\n\t\t\t\t\t\t<div class=\"form-group\">\r\n\t\t\t\t\t\t\t<textarea class=\"form-control\" rows=\"7\" name=\"ekstra\" id=\"code_editor_demo_1\">";
    echo $yazan;
    echo "</textarea>\r\n\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t";
}
echo "\t\t\t\t\t\t<span class=\"clearfix\"></span>\r\n\t\t\t\t\t\t";
if (isset($_GET["islem"]) == "duzenle") {
    echo "\t\t\t\t\t\t<button type=\"submit\" name=\"dil_guncelle\" class=\"btn btn-primary waves-effect waves-light\">\r\n\t\t\t\t\t\t\t   <span class=\"btn-label\"><i class=\"fa fa-check\"></i></span>Güncelle\r\n\t\t\t\t\t\t</button>\r\n\t\t\t\t\t\t";
} else {
    echo "\t\t\t\t\t\t<button type=\"submit\" name=\"dil_kaydet\"  class=\"btn btn-success waves-effect waves-light autohidebut\">\r\n\t\t\t\t\t\t\t   <span class=\"btn-label\"><i class=\"fa fa-check\"></i></span>Kaydet\r\n\t\t\t\t\t\t</button>\r\n\t\t\t\t\t\t";
}
echo "\t\t\t\t\t</form>\r\n\t\t\t\t</div>\r\n\t\t\t</div>\r\n\t\t</div>\r\n\t</div>\r\n\t</div>\r\n</div>\r\n\r\n\t\r\n<script src=\"assets/plugins/codemirror/lib/codemirror.js\" type=\"text/javascript\"></script>\r\n<script src=\"assets/plugins/codemirror/addon/edit/matchbrackets.js\" type=\"text/javascript\"></script>\r\n<script src=\"assets/plugins/codemirror/mode/htmlmixed/htmlmixed.js\" type=\"text/javascript\"></script>\r\n<script src=\"assets/plugins/codemirror/mode/xml/xml.js\" type=\"text/javascript\"></script>\r\n<script src=\"assets/plugins/codemirror/mode/javascript/javascript.js\" type=\"text/javascript\"></script>\r\n<script src=\"assets/plugins/codemirror/mode/css/css.js\" type=\"text/javascript\"></script>\r\n<script src=\"assets/plugins/codemirror/mode/clike/clike.js\" type=\"text/javascript\"></script>\r\n<script src=\"assets/plugins/codemirror/mode/php/php.js\" type=\"text/javascript\"></script>\r\n\r\n<style>\r\n.CodeMirror {\r\n  height: 500px;\r\n  max-width:1000px;\r\n}\r\n</style>\r\n<script type=\"text/javascript\">\r\nvar myTextarea = document.getElementById('code_editor_demo_1');\r\n  var editor = CodeMirror.fromTextArea(myTextarea, {\r\n        lineNumbers: true,\r\n        matchBrackets: true,\r\n        mode: \"text/x-php\",\r\n        indentUnit: 4,\r\n        indentWithTabs: true,\r\n        theme : \"ambiance\"\r\n  });\r\n</script>\r\n\r\n";
if ($_SESSION["dil_kaydet"] == "no") {
    echo "\r\n\t<script>\r\n\t\$(document).ready(function () {\r\n\t\t\$.Notification.autoHideNotify('error', 'top right', 'Hata!','Hata oluştu tekrar deneyiniz.!')\r\n\t});\r\n\t</script>";
    unset($_SESSION["dil_kaydet"]);
}
echo "\r\n";
if ($_SESSION["dil_guncelle"] == "yes") {
    echo "\r\n\t<script>\r\n\t\$(document).ready(function () {\r\n\t\t\$.Notification.autoHideNotify('success', 'top right', 'Başarılı!','Başarı ile guncellenmiştir.')\r\n\t});\r\n\t</script>";
    unset($_SESSION["dil_guncelle"]);
}
if ($_SESSION["dil_guncelle"] == "no") {
    echo "\r\n\t<script>\r\n\t\$(document).ready(function () {\r\n\t\t\$.Notification.autoHideNotify('error', 'top right', 'Hata!','Hata oluştu tekrar deneyiniz.!')\r\n\t});\r\n\t</script>";
    unset($_SESSION["dil_guncelle"]);
}
if ($_SESSION["dilresimsil"] == "yes") {
    echo "\r\n\t<script>\r\n\t\$(document).ready(function () {\r\n\t\t\$.Notification.autoHideNotify('success', 'top right', 'Başarılı!','Başarı ile siinmiştir.')\r\n\t});\r\n\t</script>";
    unset($_SESSION["dilresimsil"]);
}
if ($_SESSION["dilresimsil"] == "no") {
    echo "\r\n\t<script>\r\n\t\$(document).ready(function () {\r\n\t\t\$.Notification.autoHideNotify('error', 'top right', 'Hata!','Hata oluştu tekrar deneyiniz.!')\r\n\t});\r\n\t</script>";
    unset($_SESSION["dilresimsil"]);
}
if ($_SESSION["dil_guncelle"] == "anadil") {
    echo "<script>\r\n\t\$(document).ready(function () {\r\n\t\t\$.Notification.autoHideNotify('danger', 'top right', 'Hata!','1 tane anadil olması zorunludur.')\r\n\t});\r\n\t</script>";
    unset($_SESSION["dil_guncelle"]);
}
echo "\r\n";

?>